SMAP(1)

NAME
smap - graphically view information about SLURM jobs, partitions, and set configurations parameters.

SYNOPSIS
smap [OPTIONS...]

DESCRIPTION
smap is used to graphically view job, partition and node information for a system running SLURM.

OPTIONS

--help,
    Print a message describing all smap options.

--usage
    Print a brief message listing the smap options.

-D <option>, --display=<option>
    sets the display mode for smap. Showing revelant information about specific views and displaying a corresponding 3 dimentional node chart. While in any display a user can switch by typing a different view letter. This is true in all modes except for 'configure mode' user can type 'quit' to exit just configure mode. Typing 'exit' will end the configuration mode and exit smap.

    j   Displays information about jobs running on system.

    s   Displays information about slurm partitions on the system

    b   Displays information about BGL partitions on the system

    c   Displays current node states and allows users to configure the system.

-h, --noheader
    Do not print a header on the output.

-i <seconds> , --iterate=<seconds>
    Print the state on a periodic basis. Sleep for the indicated number of seconds between reports. User can exit at anytime by typing 'q' or hitting the return key. If user is in configure mode type 'exit' to exit program, 'quit' to exit configure mode.

-V , --version
    Print version information and exit.

OUTPUT FIELD DESCRIPTIONS

AVAIL
    Partition state: up or down.

TIMELIMIT
    Maximum time limit for any user job in days:hours:minutes:seconds. infinite is used to identify partitions without a job time limit.

NODELIST
    Names of nodes associated with this configuration/partition.

NODES
    Count of nodes with this particular configuration.

PARTITION
    Name of a partition. Note that the suffix "*" identifies the default partition.

STATE
    State of the nodes. Possible states include: down, unknown, idle, allocated, drained, draining, completing and their abbreviated forms: down, unk, idle, alloc, drain, drng, and comp respectively. Note that the suffix "*" identifies nodes that are presently not responding.

NODE STATE CODES

Node state codes are shortened as required for the field size.
    If the node state code is followed by "*", this indicates the node is presently not responding and will not be allocated any new work. If the node remains non-responsive, it will be placed in the DOWN state (except in the case of DRAINED, DRAINING, or COMPLETING nodes).

ALLOCATED
    The node has been allocated to one or more jobs.

COMPLETING
    One or more jobs have been allocated this node and are in the process of COMPLETING. This node state will be removed when all of the job's processes have terminated and the SLURM epilog program (if any) has terminated. See the Epilog parameter description in the slurm.conf man page for more information.

DOWN
    The node is unavailable for use. SLURM can automatically place nodes in this state if some failure occurs. System administrators may also explicitly place nodes in this state. If a node resumes normal operation, SLURM can automatically return it to service. See the ReturnToService and SlurmdTimeout parameter descriptions in the slurm.conf(5) man page for more information.

DRAINED
    The node is unavailable for use per system administrator request. See the update node command in the scontrol(1) man page or the slurm.conf(5) man page for more information.

DRAINING
    The node is currently executing a job, but will not be allocated to additional jobs. The node state will be changed to state DRAINED when the last job on it completes. Nodes enter this state per system administrator request. See the update node command in the scontrol(1) man page or the slurm.conf(5) man page for more information.

IDLE
    The node is not allocated to any jobs and is available for use.

UNKNOWN
    The SLURM controller has just started and the node's state has not yet been determined.

COPYING
Copyright (C) 2004 The Regents of the University of California. Produced at Lawrence Livermore National Laboratory (cf, DISCLAIMER). UCRL-CODE-2002-040.

This file is part of SLURM, a resource management program. For details, see <http://www.llnl.gov/linux/slurm/>.

SLURM is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

SLURM is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

SEE ALSO
scontrol(1), squeue(1), slurm_load_ctl_conf(3), slurm_load_jobs(3), slurm_load_node(3), slurm_load_partitions(3), slurm_reconfigure(3), slurm_shutdown(3), slurm_update_job(3), slurm_update_node(3), slurm_update_partition(3), slurm.conf(5)